tigase.jaxmpp.core.client

## Class DataHolder

- java.lang.Object
- - tigase.jaxmpp.core.client.DataHolder

- Direct Known Subclasses:
    ConnectionSession

      public class DataHolder
      extends Object

  Small class for storing all types of additional data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getData(String key)`
    `<T> T` | `removeData(String key)`
    `void` | `setData(String key, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHolder

          public DataHolder()

  - ### Method Detail

    - #### getData

          public <T> T getData(String key)

    - #### removeData

          public <T> T removeData(String key)

    - #### setData

          public void setData(String key,
                              Object value)

Copyright © 2006–2020 Tigase. All rights reserved.